package de.uulm.omi.evaluation.task;

import de.uulm.omi.cloudiator.dbms.evaluator.model.EvaluationContext;
import org.jeasy.flows.work.DefaultWorkReport;
import org.jeasy.flows.work.WorkReport;
import org.jeasy.flows.work.WorkStatus;

/**
 * Created by Daniel Seybold on 15.10.2018.
 */
public class IncreaseCounter extends EvaluationTask {

  private int counter;
  public IncreaseCounter(EvaluationContext evaluationContext, int counter) {
    super(TaskType.SCALE, evaluationContext);

    this.counter = counter;
  }

  @Override
  public WorkReport call() {

    String loggerPrefix= "RUN " + this.evaluationContext.getRunCounter().intValue() +":";


    this.counter++;

    LOGGER.info(loggerPrefix + " Increased  step counter to: " + this.counter);

    return new DefaultWorkReport(WorkStatus.COMPLETED);
  }
}
