package de.uulm.omi.utils;

import de.uniulm.omi.cloudiator.colosseum.client.Client;
import de.uniulm.omi.cloudiator.colosseum.client.ClientBuilder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Created by Daniel Seybold on 07.02.2018.
 */
public class ColosseumClientHelper {

  private final static Logger LOGGER = LoggerFactory.getLogger(ColosseumClientHelper.class);

  public static Client getColosseumClient(){

    EntrypointPropertiesService entrypointPropertiesService = EntrypointProperties.getInstance();
    String colosseumUri = entrypointPropertiesService.getProperties().getProperty(EntrypointProperties.COLOSSEUM);

    ClientBuilder clientBuilder = ClientBuilder.getNew().url(colosseumUri)
        .credentials("john.doe@example.com", "admin", "admin");

    Client gibbonClient = clientBuilder.build();

    return gibbonClient;

  }

}
