## Usage: Boxplots

### Workflow:

1. execute generatePlotData.py for all scenario folders that need to be included in the boxplots
2. adapt the plotService script accordingly to integrate all plot folders of step 1

------

#### generatePlotData.py 

**Description:** Aggregates all aggregated run data of load.txt and transaction.txt files into plots/data.json for boxplots.

This scripts is currently not automatically called by the evaluation-orchestrator and needs to be called manually for post processing. If the plotting service of the evaluation-orchestrator is used this script will be called automatically

**Parameters:**

-i: path to  the scenario folder

-wp: workload phase, all/load/transaction

**Example:** python3 generatePlotData.py -rf mowgli-results/elasticity/overload-calibration/results/ycsb-multi-phase/openstack/cassandra/3-node_read-consistency-one_1-threads_read-only/ -wp transaction

------

#### plot

**Description:** TODO

**Parameters:**

TODO

**Example:** 

TODO