package de.uulm.omi.dbms.evlautor.server.api;

import de.uulm.omi.dbms.evlautor.server.api.*;
import de.uulm.omi.cloudiator.dbms.evaluator.model.*;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;

import de.uulm.omi.cloudiator.dbms.evaluator.model.AvailabilityYCSBMultiPhase;
import de.uulm.omi.cloudiator.dbms.evaluator.model.AvailabilityYCSBWrite;
import de.uulm.omi.cloudiator.dbms.evaluator.model.ElasticityYCSBMultiPhase;
import de.uulm.omi.cloudiator.dbms.evaluator.model.ElasticityYCSBWrite;
import de.uulm.omi.cloudiator.dbms.evaluator.model.Error;
import de.uulm.omi.cloudiator.dbms.evaluator.model.EvaluationStatus;
import de.uulm.omi.cloudiator.dbms.evaluator.model.EvaluationSubmissionError;
import de.uulm.omi.cloudiator.dbms.evaluator.model.NoiseyNeighbourScenario;
import de.uulm.omi.cloudiator.dbms.evaluator.model.PerformanceYCSBMultiPhase;
import de.uulm.omi.cloudiator.dbms.evaluator.model.PerformanceYCSBWrite;
import de.uulm.omi.cloudiator.dbms.evaluator.model.ScalabilityTPCC;
import de.uulm.omi.cloudiator.dbms.evaluator.model.ScalabilityYCSBMultiPhase;
import de.uulm.omi.cloudiator.dbms.evaluator.model.ScalabilityYCSBWrite;

import java.util.List;
import de.uulm.omi.dbms.evlautor.server.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.validation.constraints.*;
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2019-07-16T22:13:00.743+02:00")
public abstract class ScenarioApiService {
    public abstract Response scenarioAvailabilityMultiPhasePost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,AvailabilityYCSBMultiPhase scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioAvailabilityPost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,AvailabilityYCSBWrite scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioElasticityMultiPhasePost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,ElasticityYCSBMultiPhase elasticitySpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioElasticityPost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,ElasticityYCSBWrite elasticitySpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioNoiseyNeighbourPost( @NotNull String scenarioName, @NotNull Integer runs, @NotNull Boolean cleanUp,NoiseyNeighbourScenario scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioPerformanceMultiPhasePost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,PerformanceYCSBMultiPhase scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioPerformancePost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,PerformanceYCSBWrite scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioScalabilityMultiPhasePost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,ScalabilityYCSBMultiPhase scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioScalabilityPost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,ScalabilityYCSBWrite scenarioSpec,SecurityContext securityContext) throws NotFoundException;
    public abstract Response scenarioScalabilityTPCCPost( @NotNull String scenarioType, @NotNull String cloud, @NotNull String dbmsType, @NotNull String dbmsConfiguration, @NotNull Integer runs, @NotNull Boolean cleanUp,ScalabilityTPCC scenarioSpec,SecurityContext securityContext) throws NotFoundException;
}
