package de.uulm.omi.evaluation.scenario;

import de.uulm.omi.cloudiator.dbms.evaluator.model.EvaluationContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Created by Daniel Seybold on 08.05.2018.
 */
public abstract class EvaluationScenario implements EvaluationScenarioService {

  protected final EvaluationContext evaluationContext;

  private  final Logger LOGGER = LoggerFactory.getLogger(this.getClass());

  public EvaluationScenario(String scenarioType, String cloudType,  String dbmsType, String dbmsConfiguration, Integer runs){

    this.evaluationContext = new EvaluationContext();

    this.evaluationContext.setScenarioType(scenarioType.toLowerCase());
    this.evaluationContext.setCloudType(cloudType.toLowerCase());
    this.evaluationContext.setDbmsType(dbmsType.toLowerCase());
    this.evaluationContext.setDbmsConfiguration(dbmsConfiguration.toLowerCase());
    this.evaluationContext.setRunCounter(runs);


  }


}
